Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Illegal reflective access operation has occurred (guice3.0)
Illegal reflective access operation has occurred (guice3.0) [message #1826442] Fri, 24 April 2020 21:27 Go to next message
Marc Schacher is currently offline Marc SchacherFriend
Messages: 2
Registered: April 2020
Junior Member
When i run xtext 2.18 with jdk 11, i get this warning:
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by com.google.inject.internal.cglib.core.$ReflectUtils$2 (file:/C:/maven_local_repo/com/google/inject/guice/3.0/guice-3.0.jar) to method java.lang.ClassLoader.defineClass(java.lang.String,byte[],int,int,java.security.ProtectionDomain)

Is this error fixed in a later xtext version? (i didn't found any topic about this)

Thank you very much in advance for your answer.
Marc
Re: Illegal reflective access operation has occurred (guice3.0) [message #1826454 is a reply to message #1826442] Sat, 25 April 2020 05:55 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 13628
Registered: July 2009
Senior Member
No. This issue is still not fixed in guice.
Until there is no new guice version we cannot update.
And even then the update will be an exertion

https://github.com/eclipse/xtext-core/issues/393


Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/it-services/methods-and-tools/xtext
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Re: Illegal reflective access operation has occurred (guice3.0) [message #1826460 is a reply to message #1826454] Sat, 25 April 2020 08:08 Go to previous messageGo to next message
Marc Schacher is currently offline Marc SchacherFriend
Messages: 2
Registered: April 2020
Junior Member
is xtext/xtend 2.18 fully compatible with java 11? (apart from this warning?)

and what does it mean for the future? is there a risk, that java 11 is the latest supported version?
Re: Illegal reflective access operation has occurred (guice3.0) [message #1826485 is a reply to message #1826460] Sat, 25 April 2020 17:01 Go to previous message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 13628
Registered: July 2009
Senior Member
Xtext works with Java 11. I recommend you to use the latest version (2.21)
I hope we will be able to integrate the new Guice Version once it is available

but
- it is a lot of work, also to get it to eclipse orbit and to synchronize with other eclipse projects and ensure backwords compatibilty
- the number of people regularly contributing to Xtext is 4 (or 1 when it comes to real development)
- see also https://github.com/eclipse/xtext/issues/1721


Need professional support for Xtext, Xpand, EMF?
Go to: https://www.itemis.com/en/it-services/methods-and-tools/xtext
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Previous Topic:Programatic Loading of Multiple XText Projects with dependencies
Next Topic:Recommended way to use IOutlineTreeProvider.Background
Goto Forum:
  


Current Time: Wed Oct 21 08:36:28 GMT 2020

Powered by FUDForum. Page generated in 0.02127 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top